package org.jeecg.modules.common.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 第三方接口日志表
 * @Author: jeecg-boot
 * @Date:   2023-12-05
 * @Version: V1.0
 */
@Data
@TableName("cs_http_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="cs_http_log对象", description="第三方接口日志表")
public class CsHttpLog extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

	/**纳税人识别号*/
	@Excel(name = "纳税人识别号", width = 15)
    @ApiModelProperty(value = "纳税人识别号")
    private String nsrsbh;
	/**接口类型*/
	@Excel(name = "接口类型", width = 15, dicCode = "kpzdms")
	@Dict(dicCode = "jklxlog")
    @ApiModelProperty(value = "接口类型")
    private String jklx;
	/**功能编号*/
	@Excel(name = "功能编号", width = 15)
    @ApiModelProperty(value = "功能编号")
    @Dict(dicCode = "jkgnbh")
    private String gnbh;
	/**唯一标识：如受理单号*/
	@Excel(name = "唯一标识：如受理单号", width = 15)
    @ApiModelProperty(value = "唯一标识：如受理单号")
    private String guid;
	/**请求日志*/
	@Excel(name = "请求日志", width = 15)
    @ApiModelProperty(value = "请求日志")
    private String qqrz;
	/**返回日志*/
	@Excel(name = "返回日志", width = 15)
    @ApiModelProperty(value = "返回日志")
    private String fhrz;
	/**请求时间*/
	@Excel(name = "请求时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "请求时间")
    private Date qqsj;
	/**返回时间*/
	@Excel(name = "返回时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "返回时间")
    private Date fhsj;
	/**请求耗时*/
	@Excel(name = "请求耗时", width = 15)
    @ApiModelProperty(value = "请求耗时")
    private Long qqhs;
	/**请求地址*/
	@Excel(name = "请求地址", width = 15)
    @ApiModelProperty(value = "请求地址")
    private String qqdz;
	/**请求类型*/
	@Excel(name = "请求类型", width = 15)
    @ApiModelProperty(value = "请求类型")
    @Dict(dicCode = "jkqqlx")
    private String qqlx;
    
    /**
     * 是否查询详情
     */
    @TableField(exist = false)
    private boolean cxxq;
}
