package org.jeecg.modules.jfptpz.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 交付平台配置
 * @Author: jeecg-boot
 * @Date:   2023-11-08
 * @Version: V1.0
 */
@Data
@TableName("cs_pt_jfptpz")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="cs_pt_jfptpz对象", description="交付平台配置")
public class CsPtJfptpz implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**租户编号*/
	@Excel(name = "租户编号", width = 15, dictTable = "sys_tenant", dicText = "name", dicCode = "id")
	@Dict(dictTable = "sys_tenant", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "租户编号")
    private Integer tenantId;
	/**交付平台服务地址*/
	@Excel(name = "交付平台服务地址", width = 15)
    @ApiModelProperty(value = "交付平台服务地址")
    private String serverUrl;
	/**接口appkey*/
	@Excel(name = "接口appkey", width = 15)
    @ApiModelProperty(value = "接口appkey")
    private String appkey;
	/**接口appsecret*/
	@Excel(name = "接口appsecret", width = 15)
    @ApiModelProperty(value = "接口appsecret")
    private String appsecret;
	/**有效状态*/
	@Excel(name = "有效状态", width = 15, dicCode = "yn")
	@Dict(dicCode = "yn")
    @ApiModelProperty(value = "有效状态")
    private String yxbz;
	/**开启数据上传*/
	@Excel(name = "开启数据上传", width = 15, dicCode = "yn")
	@Dict(dicCode = "yn")
    @ApiModelProperty(value = "开启数据上传")
    private String kqsjsc;
}
