package org.jeecg.modules.kzzdys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 扩展字段映射设置
 * @Author: jeecg-boot
 * @Date:   2023-12-07
 * @Version: V1.0
 */
@ApiModel(value="cs_pt_kzzdys对象", description="扩展字段映射设置")
@Data
@TableName("cs_pt_kzzdys")
public class CsPtKzzdys implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**租户编号*/
	@Excel(name = "租户编号", width = 15)
    @ApiModelProperty(value = "租户编号")
    private Integer tenantId;
	/**映射名称*/
	@Excel(name = "映射名称", width = 15)
    @ApiModelProperty(value = "映射名称")
    private String ysmc;
	/**映射分组*/
	@Excel(name = "映射分组", width = 15, dicCode = "kzzdysfz")
    @Dict(dicCode = "kzzdysfz")
    @ApiModelProperty(value = "映射分组")
    private String ysfz;
	/**映射表名*/
	@Excel(name = "映射表名", width = 15, dicCode = "kzzdysbm")
    @Dict(dicCode = "kzzdysbm")
    @ApiModelProperty(value = "映射表名")
    private String ysbm;
	/**映射描述*/
	@Excel(name = "映射描述", width = 15)
    @ApiModelProperty(value = "映射描述")
    private String ysms;

    @ApiModelProperty(value = "扩展字段映射明细")
    @TableField(exist = false)
    List<CsPtKzzdysmx> kzzdysmx;
}
