package org.jeecg.modules.kzzdys.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 扩展字段映射明细
 * @Author: jeecg-boot
 * @Date:   2023-12-07
 * @Version: V1.0
 */
@ApiModel(value="cs_pt_kzzdysmx对象", description="扩展字段映射明细")
@Data
@TableName("cs_pt_kzzdysmx")
public class CsPtKzzdysmx implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**租户编号*/
	@Excel(name = "租户编号", width = 15)
    @ApiModelProperty(value = "租户编号")
    private Integer tenantId;
	/**主表主键*/
    @ApiModelProperty(value = "主表主键")
    private String formid;
	/**扩展字段名*/
	@Excel(name = "扩展字段名", width = 15)
    @ApiModelProperty(value = "扩展字段名")
    private String kzzd;
	/**扩展字段描述*/
	@Excel(name = "扩展字段描述", width = 15)
    @ApiModelProperty(value = "扩展字段描述")
    private String kzzdms;
	/**转换名称*/
	@Excel(name = "转换名称", width = 15)
    @ApiModelProperty(value = "转换名称")
    private String zhmc;
	/**表单显示*/
	@Excel(name = "表单显示", width = 15)
    @ApiModelProperty(value = "表单显示")
    private String formview;
	/**列表展示*/
	@Excel(name = "列表展示", width = 15)
    @ApiModelProperty(value = "列表展示")
    private String listview;
	/**是否查询*/
	@Excel(name = "是否查询", width = 15)
    @ApiModelProperty(value = "是否查询")
    private String searchview;
	/**查询类型*/
	@Excel(name = "查询类型", width = 15)
    @ApiModelProperty(value = "查询类型")
    private String cxlx;
	/**控件类型*/
	@Excel(name = "控件类型", width = 15)
    @ApiModelProperty(value = "控件类型")
    private String kjlx;
	/**字典table*/
	@Excel(name = "字典table", width = 15)
    @ApiModelProperty(value = "字典table")
    private String dictTable;
	/**字典code*/
	@Excel(name = "字典code", width = 15)
    @ApiModelProperty(value = "字典code")
    private String dictCode;
	/**字典text*/
	@Excel(name = "字典text", width = 15)
    @ApiModelProperty(value = "字典text")
    private String dictText;
}
