package org.jeecg.modules.qyxx.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 企业信息
 * @Author: jeecg-boot
 * @Date:   2023-08-19
 * @Version: V1.0
 */
@Data
@TableName("cs_pt_qyxx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="cs_pt_qyxx对象", description="企业信息")
public class CsPtQyxx implements Serializable {
    private static final long serialVersionUID = 1L;

	/**编号*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "编号")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**租户编号*/
	@Excel(name = "租户编号", width = 15)
    @ApiModelProperty(value = "租户编号")
    private Integer tenantId;
	/**组织机构*/
	@Excel(name = "组织机构", width = 15, dictTable = "sys_depart", dicText = "depart_name", dicCode = "id")
	@Dict(dictTable = "sys_depart", dicText = "depart_name", dicCode = "id")
    @ApiModelProperty(value = "组织机构")
    private String zzjgbm;

    @ApiModelProperty(value = "组织机构_机构编码")
    @TableField(exist = false)
    private String zzjgOrgCode;
	/**企业代码*/
	@Excel(name = "企业代码", width = 15)
    @ApiModelProperty(value = "企业代码")
    private String nsrdm;
	/**企业名称*/
	@Excel(name = "企业名称", width = 15)
    @ApiModelProperty(value = "企业名称")
    private String nsrmc;
	/**企业简称*/
	@Excel(name = "企业简称", width = 15)
    @ApiModelProperty(value = "企业简称")
    private String nsrjc;
	/**企业税号*/
	@Excel(name = "企业税号", width = 15)
    @ApiModelProperty(value = "企业税号")
    private String nsrsbh;
    /**所属业态*/
    @Excel(name = "所属业态", width = 15)
    @ApiModelProperty(value = "所属业态")
    private String ssyt;
	/**销方银行*/
	@Excel(name = "销方银行", width = 15)
    @ApiModelProperty(value = "销方银行")
    private String xfyh;
	/**银行账号*/
	@Excel(name = "银行账号", width = 15)
    @ApiModelProperty(value = "银行账号")
    private String xfyhzh;
	/**销方地址*/
	@Excel(name = "销方地址", width = 15)
    @ApiModelProperty(value = "销方地址")
    private String xfdz;
	/**销方电话*/
	@Excel(name = "销方电话", width = 15)
    @ApiModelProperty(value = "销方电话")
    private String xfdh;
	/**所在省份*/
	@Excel(name = "所在省份", width = 15, dicCode = "qyszsf")
	@Dict(dicCode = "qyszsf")
    @ApiModelProperty(value = "所在省份")
    private String szsf;
	/**核定税负率*/
	@Excel(name = "核定税负率", width = 15)
    @ApiModelProperty(value = "核定税负率")
    private String hdsfl;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private String qybz;

    /**主管税务机关代码*/
    @Excel(name = "主管税务机关代码", width = 15)
    @ApiModelProperty(value = "主管税务机关代码")
    private String zgswjgdm;

    /**主管税务机关名称*/
    @Excel(name = "主管税务机关名称", width = 15)
    @ApiModelProperty(value = "主管税务机关名称")
    private String zgswjgmc;
    
    /**是否签约（0.否 1.是）*/
    @ApiModelProperty(value = "是否签约（0.否 1.是）")
    private String sfqy;
}
