package org.jeecg.modules.task.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import org.jeecgframework.poi.excel.annotation.Excel;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 异步任务
 * @Author: jeecg-boot
 * @Date:   2023-11-29
 * @Version: V1.0
 */
@Data
@TableName("cs_pt_task")
@ApiModel(value="cs_pt_task对象", description="异步任务")
public class CsPtTask implements Serializable {
    private static final long serialVersionUID = 1L;

	/**编号*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "编号")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**租户编号*/
    @Excel(name = "租户编号", width = 15)
    @ApiModelProperty(value = "租户编号")
    private Integer tenantId;
	/**企业主键*/
    @Excel(name = "企业主键", width = 15)
    @ApiModelProperty(value = "企业主键")
    private String companyId;
	/**任务来源*/
    @Excel(name = "任务来源", width = 15)
    @ApiModelProperty(value = "任务来源")
    private String source;
	/**任务名称*/
    @Excel(name = "任务名称", width = 15)
    @ApiModelProperty(value = "任务名称")
    private String name;
	/**任务类型*/
    @Excel(name = "任务类型", width = 15)
    @ApiModelProperty(value = "任务类型")
    private String type;
	/**任务描述*/
    @Excel(name = "任务描述", width = 15)
    @ApiModelProperty(value = "任务描述")
    private String note;
	/**任务状态*/
    @Excel(name = "任务状态", width = 15)
    @ApiModelProperty(value = "任务状态")
    private String state;
	/**任务执行进度*/
    @Excel(name = "任务执行进度", width = 15)
    @ApiModelProperty(value = "任务执行进度")
    private Double progress;
	/**完成时间*/
    @Excel(name = "完成时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "完成时间")
    private Date endTime;
	/**请求参数*/
    @Excel(name = "请求参数", width = 15)
    @ApiModelProperty(value = "请求参数")
    private String params;
	/**任务执行结果描述*/
    @Excel(name = "任务执行结果描述", width = 15)
    @ApiModelProperty(value = "任务执行结果描述")
    private String rtndesc;
	/**任务总数*/
    @Excel(name = "任务总数", width = 15)
    @ApiModelProperty(value = "任务总数")
    private Integer rwzs;
	/**已完成任务数*/
    @Excel(name = "已完成任务数", width = 15)
    @ApiModelProperty(value = "已完成任务数")
    private Integer ywcrws;
}
