package org.jeecg.modules.task.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 异步任务明细表
 * @Author: jeecg-boot
 * @Date:   2023-11-29
 * @Version: V1.0
 */
@Data
@TableName("cs_pt_taskmx")
@ApiModel(value="cs_pt_taskmx对象", description="异步任务明细表")
public class CsPtTaskmx implements Serializable {
    private static final long serialVersionUID = 1L;

	/**编号*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "编号")
    private String id;
	/**租户编号*/
	@Excel(name = "租户编号", width = 15)
    @ApiModelProperty(value = "租户编号")
    private Integer tenantId;
	/**主表主键*/
    @ApiModelProperty(value = "主表主键")
    private String fromid;
	/**业务表名称*/
	@Excel(name = "业务表名称", width = 15)
    @ApiModelProperty(value = "业务表名称")
    private String ywtable;
	/**业务表主键类型*/
	@Excel(name = "业务表主键类型", width = 15)
    @ApiModelProperty(value = "业务表主键类型")
    private String ywtype;
	/**业务表主键*/
	@Excel(name = "业务表主键", width = 15)
    @ApiModelProperty(value = "业务表主键")
    private String ywid;
	/**业务描述*/
	@Excel(name = "业务描述", width = 15)
    @ApiModelProperty(value = "业务描述")
    private String ywdesc;
	/**
     * 任务执行状态
     *  执行异常	3
     *  执行成功	4
     *  执行失败	5
     */
	@Excel(name = "任务执行状态", width = 15)
    @ApiModelProperty(value = "任务执行状态")
    private String state;
	/**任务执行结果描述*/
	@Excel(name = "任务执行结果描述", width = 15)
    @ApiModelProperty(value = "任务执行结果描述")
    private String rtndesc;
	/**任务执行返回参数*/
	@Excel(name = "任务执行返回参数", width = 15)
    @ApiModelProperty(value = "任务执行返回参数")
    private String result;
    /**请求参数*/
    @Excel(name = "请求参数", width = 15)
    @ApiModelProperty(value = "请求参数")
    private String params;
    /**执行顺序*/
    @Excel(name = "执行顺序", width = 15)
    @ApiModelProperty(value = "执行顺序")
    private Integer zxss;

    /**是否重试*/
    @Excel(name = "是否重试", width = 15)
    @ApiModelProperty(value = "是否重试")
    private String istry;
    /**失败次数*/
    @Excel(name = "失败次数", width = 15)
    @ApiModelProperty(value = "失败次数")
    private Integer failcount;

    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "下次执行时间")
    private Date nexttime;
}
