package org.jeecg.modules.task.mapper;

import java.util.List;
import org.jeecg.modules.task.entity.CsPtTaskmx;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 异步任务明细表
 * @Author: jeecg-boot
 * @Date:   2023-08-19
 * @Version: V1.0
 */
public interface CsPtTaskmxMapper extends BaseMapper<CsPtTaskmx> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<CsPtTaskmx>
   */
	public List<CsPtTaskmx> selectByMainId(@Param("mainId") String mainId);
}
