package org.jeecg.modules.task.service;

import org.jeecg.modules.task.entity.CsPtTaskmx;
import org.jeecg.modules.task.entity.CsPtTask;
import com.baomidou.mybatisplus.extension.service.IService;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: 异步任务
 * @Author: jeecg-boot
 * @Date:   2023-08-19
 * @Version: V1.0
 */
public interface ICsPtTaskService extends IService<CsPtTask> {

	/**
	 * 添加一对多
	 *
	 * @param csPtTask
	 * @param csPtTaskmxList
	 */
	public void saveMain(CsPtTask csPtTask, List<CsPtTaskmx> csPtTaskmxList) ;
	
	/**
	 * 修改一对多
	 *
   * @param csPtTask
   * @param csPtTaskmxList
	 */
	public void updateMain(CsPtTask csPtTask, List<CsPtTaskmx> csPtTaskmxList);
	
	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain(String id);
	
	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain(Collection<? extends Serializable> idList);
	
}
