package org.jeecg.modules.task.vo;

import java.util.List;
import org.jeecg.modules.task.entity.CsPtTask;
import org.jeecg.modules.task.entity.CsPtTaskmx;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelEntity;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 异步任务
 * @Author: jeecg-boot
 * @Date:   2023-11-29
 * @Version: V1.0
 */
@Data
@ApiModel(value="cs_pt_taskPage对象", description="异步任务")
public class CsPtTaskPage {

	/**编号*/
	@ApiModelProperty(value = "编号")
    private String id;
	/**创建人*/
	@ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
	@ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
	@ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**租户编号*/
	@Excel(name = "租户编号", width = 15)
	@ApiModelProperty(value = "租户编号")
    private Integer tenantId;
	/**企业主键*/
	@Excel(name = "企业主键", width = 15)
	@ApiModelProperty(value = "企业主键")
    private String companyId;
	/**任务来源*/
	@Excel(name = "任务来源", width = 15)
	@ApiModelProperty(value = "任务来源")
    private String source;
	/**任务名称*/
	@Excel(name = "任务名称", width = 15)
	@ApiModelProperty(value = "任务名称")
    private String name;
	/**任务类型*/
	@Excel(name = "任务类型", width = 15)
	@ApiModelProperty(value = "任务类型")
    private String type;
	/**任务描述*/
	@Excel(name = "任务描述", width = 15)
	@ApiModelProperty(value = "任务描述")
    private String note;
	/**任务状态*/
	@Excel(name = "任务状态", width = 15)
	@ApiModelProperty(value = "任务状态")
    private String state;
	/**任务执行进度*/
	@Excel(name = "任务执行进度", width = 15)
	@ApiModelProperty(value = "任务执行进度")
    private Double progress;
	/**请求参数*/
	@Excel(name = "请求参数", width = 15)
	@ApiModelProperty(value = "请求参数")
    private String params;
	/**任务执行结果描述*/
	@Excel(name = "任务执行结果描述", width = 15)
	@ApiModelProperty(value = "任务执行结果描述")
    private String rtndesc;

	@ExcelCollection(name="异步任务明细表")
	@ApiModelProperty(value = "异步任务明细表")
	private List<CsPtTaskmx> csPtTaskmxList;

}
